VMSTAT(8)

NAMN
vmstat — Rapportera statistik över virtuellt minne

SYNOPSIS
vmstat [flaggor] [fördröjning [antal]]

BESKRIVNING
vmstat rapporterar information om processer, minne, sidväxling, block-I/O, fällor, disk- och cpu-aktivitet.

Den första producerade rapporten ger genomsnitt sedan senaste omstarten. Följande rapporter ger information om en samplingsperiod med längden fördröjning. Process- och minnesrapporterna är ögonblickliga i båda fallen.

FLAGGOR

fördröjning
    Fördröjningen mellan uppdateringar i sekunder. Om ingen fördröjning anges skrivs endast en rapport med genomsnittsvärdena sedan start.

antal
    Antal uppdateringar. I avsaknad av antal, när fördröjning är definierad, är standardvärdet oändligt.

-a, --active
    Visa aktivt och inaktivt minne, förutsatt en kärna 2.5.41 eller bättre.

-f, --forks
    Flaggan -f visar antalet avgreningar sedan start. Detta inkluderar systemanropen fork, vfork och clone, och är likvärdigt med antalet skapade uppgifter. Varje process representeras av en eller flera uppgifter, beroende på trådanvändning. Denna visning uppdateras inte.

-m, --slabs
    Visa skivinformation.

-n, --one-header
    Visa endast huvudet en gång istället för periodiskt.

-s, --stats
    Visar en tabell över olika händelseräknare och minnesstatistik. Denna visning upprepeas inte.

-d, --disk
    Rapportera diskstatistik (2.5.70 eller senare krävs).

-D, --disk-sum
    Rapportera en del sammanfattande statistik om diskaktivitet.

-p, --partition enhet
    Detaljerad statistik om partitioner (2.5.70 eller senare krävs).

-S, --unit tecken
    Byter utmatning mellan 1000 (k), 1024 (K), 1000000 (m) eller 1046576 (M) byte. Observera att detta inte ändrar fälten för växling (vi/vu) eller block (bi/bu).

-t, --timestamp
    Lägg till en tidsstämpel till varje rad

-w, --wide
    Brett utmatningsläge (användbart för system med större mängder minne, där standardläget för utmatning drabbas av oönskade trasiga kolumner). Utmatningen är bredare än 80 tecken per rad.

-V, --version
    Visa versionsinformation och avsluta.

-h, --help
    Visa hjälp och avsluta.

FÄLTBESKRIVNING FÖR VM-LÄGET

  Procs
k: Antalet körbara processer (körande eller väntande på körtid).
b: Antalet processer i ej avbrytbar vila.

  Minne
växl: mängden använt virtuellt minne.
fritt: mängden oanvänt minne.
buff: mängden minne använt som buffertar.
cache: mänden minne använt som cache.
inakt: mänden inaktivt minne.  (flaggan -a)
aktivt: mängden aktivt minne.  (flaggan -a)

  Växling
vi: Mängden minne växlat in från disk (/s).
vu: Mängden minne växlat ut till disk (/s).

  IO
bi: Block mottagna från en blockenhet (block/s).
bo: Block skickade till en blockenhet (block/s).

  System
avb: Antalet avbrott per sekund, inklusive klockan.
ktxb: Antalet kontextbyten per sekund.

  CPU
Detta är procentandelar av total CPU-tid.
an: Tid tillbringad att köra icke-kärnkod.  (användartid, inklusive nice-tid)
sy: Tid tillbringad att köra kärnkod.  (systemtid)
ia: Tid tillbringad inaktiv.  Före Linux 2.5.41 inkluderar detta IO-väntetid.
vä: Tid tillbringad väntade på IO.  Före Linux 2.5.41 inkluderat i inaktiv.
st: Tid stulen från en virtuell maskin.  Före Linux 2.6.11, okänd.

FÄLTBESKRIVNING FÖR DISK-LÄGET

  Läsningar
totalt: Totalt avslutade lyckade läsninar
grupp: grupperade läsningar (resulterar i en I/O)
sektor: Sektorer lyckat lästa
ms: millisekunder tillbringat med läsningar

  Skrivningar
totalt: Totalt avslutade lyckade skrivningar
grupp: grupperade skrivningar (resulterar i en I/O)
sektor: Sektorer lyckat skrivna
ms: millisekunder tillbringat med skrivningar

  IO
akt: pågående I/O
s: sekunder tillbringat i I/O

FÄLTBESKRIVNING FÖR DISKPARTITIONSLÄGET
läsningar: Totalt antal läsningar skickade till denna partition
läst sktor: Totalt lästa sektorer från partitionen
writes: Totalt antal skrivningar skickade till denna partition
beg skrivn: Totalt antal skrivbegäranden gjorda för partitionen

FÄLTBESKRIVNING FÖR SKIVLÄGET
cache: Cachenamn
antal: Antal för närvarande aktiva objekt
totalt: Totalt antal tillgängliga objekt
strlk: Storlek på varje objekt
sidor: Antal sidor med åtminstone ett aktivt objekt

OBSERVERA
vmstat behöver inte särskilda rättigheter.

Dessa rapporter är avsedda att hjälpa till att hitta flaskhalsar i systemet. Linux vmstat räknar inte sig själv som en körande process.

Alla linuxblock är för närvarande 1024 byte. Gamla kärnor kan rapportera block som 512 byte, 2048 byte eller 4096 byte.

Sedan procps 3.1.9 låter vmstat dig välja enheter (k, K, m, M). Standard är K (1024 byte) i standardläget.

vmstat använder slabinfo 1.1

FILER
/proc/meminfo
/proc/stat
/proc/*/stat

SE ÄVEN
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1)

FEL
Tabellerar inte block-io per enhet eller antalet systemanrop.

UPPHOVSMÄN
Skriven av Henry Ware (al172@yfn.ysu.edu).
Fabian Frédérick (ffrederick@users.sourceforge.net) (diskstat, slab, partitions…)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se